Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.wanderer
Class TestWandererCallback

    java.lang.Object
      com.bbn.openmap.util.wanderer.TestWandererCallback

All Implemented Interfaces:
  WandererCallback

public class TestWandererCallback
extends java.lang.Object
implements WandererCallback

The Wanderer walks through a directory tree, and makes calls to the WandererCallback with what it finds. You add your WandererCallback to the Wanderer, and then just take your action on the files.

Constructor Summary
`TestWandererCallback()`

Method Summary
`void` | `handleDirectory(java.io.File directory)` Do what you need to do to the directory.
`void` | `handleFile(java.io.File file)` Do what you need to do to the file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestWandererCallback

    public TestWandererCallback()

Method Detail

### handleDirectory

    public void handleDirectory(java.io.File directory)

  Description copied from interface: `WandererCallback`
  Do what you need to do to the directory.

  Specified by:
    `handleDirectory` in interface `WandererCallback`

### handleFile

    public void handleFile(java.io.File file)

  Description copied from interface: `WandererCallback`
  Do what you need to do to the file.

  Specified by:
    `handleFile` in interface `WandererCallback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details